Name:          jetty-build-support
Version:       1.0
Release:       %mkrel 2
Summary:       Jetty 7 build support
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.eclipse.org/jetty/
# svn export http://dev.eclipse.org/svnroot/rt/org.eclipse.jetty/jetty-toolchain/tags/jetty-build-support-1.0/
# tar czf jetty-build-support-1.0-src-svn.tar.gz jetty-build-support-1.0
Source0:       jetty-build-support-1.0-src-svn.tar.gz
Source2:       http://repo1.maven.org/maven2/org/eclipse/jetty/jetty-parent/15/jetty-parent-15.pom 

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: apache-commons-parent

BuildRequires: ant
BuildRequires: junit4
BuildRequires: maven
BuildRequires: maven2
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer-api
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: plexus-container-default
BuildRequires: jetty-toolchain

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Build Support for Jetty (Contains Enforcer Rules, PMD Rulesets, etc ...) 

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

#--------------------------------------------------------------------

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n jetty-build-support-%{version}
chmod -R go=u-w *
%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository

mkdir -p $MAVEN_REPO_LOCAL/org/eclipse/jetty/jetty-parent/15
cp %{SOURCE2} $MAVEN_REPO_LOCAL/org/eclipse/jetty/jetty-parent/15/

mvn-rpmbuild \
  -e \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:aggregate

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -pm 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-jetty-parent-15.pom 
%add_maven_depmap JPP-jetty-parent-15.pom

install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}




%changelog

* Sun Jan 08 2012 dmorgan <dmorgan> 1.0-2.mga2
+ Revision: 193483
- Adapt to new guidelines

* Sat Oct 29 2011 gil <gil> 1.0-1.mga2
+ Revision: 159359
- imported package jetty-build-support

